/* BASIC STYLES */
body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

header {
    padding-top: 16px;
    width: 100%;
}

ul {
    list-style: none;
}

/* NAV BAR */
#nav_bar {
    margin: 0;
    float: right;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-end;
    align-items: center;
}

#nav_bar li {
    display: inline-block;
    padding: 8px;
}

#nav_bar #sign_in {
    color: white;
    background: #4887ef;
    margin-right: 25px;
    padding: 7px 15px;
    border-radius: 3px;
    font-weight: bold;
}
#nav_bar #sign_in > a{
    color: white;
}

.nav-links {
    color: #404040;
}

a {
    text-decoration: none;
    color: inherit;
}

li.nav-links a:hover {
    text-decoration: underline;
}

#sign_in:hover {
    box-shadow: 1px 1px 5px #999;
}

#sign_in {
    color: #fff;
}

/* GOOGLE AREA */
#kakashi_logo {
    font-size: 36px;
    overflow: hidden;
    white-space: nowrap;
    width: 100%;
    text-align: center;
    display: inline-block;
    margin: 0 auto;
    clear: both;
    padding-top: 112px;
    padding-bottom: 20px;
}

@keyframes text2 {
    0%, 50%, 100% {
        width: 0;
    }

    60%, 90% {
        width: 5.2em;
    }
}

@keyframes text1 {
    0%, 50%, 100% {
        width: 0;
    }
    10%, 40% {
        width: 10.2ex;
    }
}

@keyframes caret {
    0%, 100% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
}

#kakashi_text1 {
    animation: text1;
}

#kakashi_text2 {
    animation: text2;
}

#kakashi_text1, #kakashi_text2 {
    overflow: hidden;
    white-space: nowrap;
    display: inline-block;
    position: relative;
    animation-duration: 10s;
    animation-timing-function: steps(25, end);
    animation-iteration-count: infinite;
}

#kakashi_text1::after, #kakashi_text2::after {
    content: "|";
    position: absolute;
    right: 0;
    animation: caret infinite;
    animation-duration: 1s;
    animation-timing-function: steps(1, end);
}

.google-blue {
    color: rgb(66, 133, 244);
}

.google-red {
    color: rgb(219, 68, 55);
}

.google-yellow {
    color: rgb(244, 160, 0);
}

.google-green {
    color: rgb(15, 157, 88);
}

/* FORM */
.form {
    text-align: center;
}

#form-search {
    width: 450px;
    line-height: 32px;
    padding: 20px 10px;
}

.form #form-search {
    padding: 0 8px;
}

/* BUTTONS */
.buttons {
    text-align: center;
    padding-top: 30px;
    margin-bottom: 300px;
}

.button {
    background-image: -moz-linear-gradient(top, #f5f5f5, #f1f1f1);
    background-color: #f2f2f2;
    border: 1px solid #f2f2f2;
    border-radius: 4px;
    color: #5F6368;
    font-family: arial, sans-serif;
    font-size: 14px;
    margin: 11px 4px;
    padding: 0 16px;
    line-height: 27px;
    height: 36px;
    min-width: 54px;
    text-align: center;
    cursor: pointer;
    user-select: none;
}

.button:disabled {
    background-color: #fbfbfb;
    color: #a4aaaf;
    cursor: not-allowed;
}

.button:hover:enabled {
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    background-image: linear-gradient(top, #f8f8f8, #f1f1f1);
    background-color: #f8f8f8;
    border: 1px solid #c6c6c6;
    color: #222;
}

.button:focus:enabled {
    border: 1px solid #4d90fe;
    outline: none;
}

/* FOOTER */
footer {
    background: #f2f2f2;
    border-top: solid 2px #e4e4e4;
    position: fixed;
    bottom: 0;
    padding-bottom: 0;
    width: 100%;

}

footer ul li {
    display: inline;
    color: #666666;
    font-size: 14px;
    padding: 13px;
}

footer ul {
    float: left;
    padding: 1px;
}

footer ul a:hover {
    text-decoration: underline;
}

.footer-right {
    float: right;
}

/* MEDIA QUERIES */

@media screen and (max-width: 400px) {

    li.nav-links a {
        display: none;
    }

    #kakashi_logo {
        padding: 0;
    }

    #im_feeling_lucky {
        display: none;
    }

    #form-search {
        width: 80%;

    }

    footer {
        bottom: 0;
    }

    footer ul {
        float: none;
        padding-bottom: 2px;

    }

    .footer-left {
        text-align: center;
        margin: auto;
        padding-top: 10px;

    }

    .footer-right {
        float: none;
        text-align: center;

    }
}

@media screen and (max-width: 565px) {

    li.nav-links a {
        display: none;
    }


    #kakashi_logo {
        padding: 0;
    }

    #im_feeling_lucky {
        display: none;
    }

    #form-search {
        width: 80%;

    }

    footer {
        /*    bottom: 0;
           postion: absolute; */
        position: absolute;
        bottom: 0;
        width: 100%;
        height: 60px;
    }

    footer ul {
        float: none;
        padding-bottom: 2px;

    }

    .footer-left {
        text-align: center;
        margin: auto;
        padding-top: 10px;

    }

    .footer-right {
        float: none;
        text-align: center;

    }
}
